diff -Nur -x '*.orig' -x '*~' ume-launcher-0.6.30/src/launcher-catbar.c ume-launcher-0.6.30.new/src/launcher-catbar.c
--- ume-launcher-0.6.30/src/launcher-catbar.c	2009-02-11 15:51:41.000000000 +0000
+++ ume-launcher-0.6.30.new/src/launcher-catbar.c	2009-03-17 11:14:05.000000000 +0000
@@ -395,7 +395,7 @@
     
   clutter_actor_set_height (priv->grid, i * bar_height);
 
-  if (i > N_CATS-2)
+  if (i > N_CATS-1)
   {
     tidy_scrollable_get_adjustments (TIDY_SCROLLABLE (priv->grid), 
                                      NULL, &adjustment);
@@ -405,7 +405,7 @@
                                 0, i * bar_height,
                                 bar_height,
                                 1 * bar_width,
-                                (N_CATS-2) * bar_height);
+                                (N_CATS-1) * bar_height);
 
     if (CLUTTER_IS_ACTOR (priv->scroll))
     {
@@ -433,12 +433,12 @@
     tidy_frame_set_texture (TIDY_FRAME (scroll), frame);
 
     clutter_container_add_actor (CLUTTER_CONTAINER (bar), scroll);
-    clutter_actor_set_size (scroll, bar_height * (N_CATS-2), 5);
+    clutter_actor_set_size (scroll, bar_height * (N_CATS-1), 10);
     clutter_actor_set_anchor_point_from_gravity (scroll, 
                                                  CLUTTER_GRAVITY_CENTER);
     clutter_actor_set_position (scroll, 
-                                bar_width- 10/2,
-                                (bar_height*(N_CATS-2))/2);
+                                bar_width- 10,
+                                (bar_height*(N_CATS-1))/2);
     clutter_actor_set_opacity (scroll, 100);
     clutter_actor_set_rotation (scroll, CLUTTER_Z_AXIS, 90, 0, 0, 0);
     clutter_actor_show (scroll);
@@ -546,7 +546,7 @@
 
     y = tidy_adjustment_get_value (priv->adjust);
     pos = bar_height * (next);
-    page = (N_CATS-2) * bar_height;
+    page = (N_CATS-1) * bar_height;
 
     if (pos >= (y + page))
     {
@@ -616,7 +616,7 @@
   launcher_sidebar_show_trash (priv->sidebar, TRUE);
 
   clutter_actor_set_clip (CLUTTER_ACTOR (catbar), 0, 2,
-                          cfg->bar_width, cfg->shortcut_height * (N_CATS-2));
+                          cfg->bar_width, cfg->shortcut_height * (N_CATS-1));
 
   /* Hook up drag server signals */
   g_signal_connect (server, "drag-started",
